# Arma 3 Object Builder

Arma 3 Object Builder is a free, community add-on for Blender to help content development for Arma 3. The add-on is based on the ideas of the [ArmAToolbox](https://github.com/AlwarrenSidh/ArmAToolbox) add-on developed by Alwarren, but exists as a completely different implementation of a similar workflow, with a great number improved and extended features.

## Main features

- P3D import-export
- ASC import-export
- RTM import-export
- PAA import
- skeleton import-export (model.cfg)
- object list import-export (for Terrain Builder)
- armature reconstruction
- various editing tools
- utility functions and scripts

## Documentation

The documentation can be found on [GitBook](https://mrcmodding.gitbook.io/arma-3-object-builder/home). As the add-on changes, the documentation will be updated.

A series of introductory videos is also in production, and can be found on [YouTube](https://youtube.com/playlist?list=PL1L8e_Shj5DErJinP8vtLTImQ5PY4K9IN&si=U_AGJSK5mSi6VrjG). Videos may or may not exist about every feature, and any particular video might end up outdated as the add-on is developed. The written documentation always takes precedence.

## Installation

The add-on can be installed after either downloading a packaged release, or cloning the repository and manually packing it.
For information about add-on installation, visit the official [Blender documentation](https://docs.blender.org/manual/en/latest/editors/preferences/addons.html) page about add-ons.

For Blender 4.2 and higher, the add-on can also be installed from the official [Extensions repository](https://extensions.blender.org/add-ons/arma3objectbuilder).

## License

This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR  PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program. If not, see the [GNU licenses](http://www.gnu.org/licenses/).
